Bug 218506 - CVE-2006-6169 GnuPG heap overflow
CVE-2006-6169 GnuPG heap overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
https://bugs.g10code.com/gnupg/issue728
impact=low,reported=20061128,source=g...
: Security
Depends On: 218505
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 14:38 EST by Lubomir Kundrak
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version: 1.4.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-03 17:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2006-12-05 14:38:07 EST
+++ This bug was initially created as a clone of Bug #218505 +++

Description of problem:

If make_printable_string() returns a string longer than one given as an
argument, a heap-based buffer overflow occurs in openfile.c:ask_outfile_name()

Version-Release number of selected component (if applicable):

RHEL-2.1, RHEL-3, RHEL-4, RHEL-5, FC-5, FC-6
Comment 1 Nalin Dahyabhai 2007-02-03 17:56:27 EST
This was fixed by the update to 1.4.6-2.  Closing.

Note You need to log in before you can comment on or make changes to this bug.